Aller au contenu principal
Sujet: [Résolu]Calibre (vieille version) (Lu 232 fois) sujet précédent - sujet suivant

[Résolu]Calibre (vieille version)

Bonjour,
Grand utilisateur de Calibre éditeur et gestionnaire d'e-book et venant d'installer la leap-15.3, j'ai complété avec le logiciel Calibre…
Je suis un peu stupéfait de la version proposée, la 3.48 d'y a plus de 2 ans qui utilise encore les vieilleries de Python-2 qui, lui, devrait être en 3.6 !

N'y a-t-il pas un moyen de moyenner pour un Calibre au moins en version 5.x sans pour autant devoir utiliser une version instable de SuSE ?
Merci d'avance de vos réponses,

Re : Calibre (vieille version)

Répondre #1
bonsoir, calibre est dispo en 5.28 sur flatpak (all distributions) et sur tumbleweed mais pas sur 15.3

Re : Calibre (vieille version)

Répondre #2
Bonsoir,

Le sujet a été abordé ici  il y a quelque mois et quelques solutions étaient proposées  ;)

https://www.alionet.org/index.php?topic=1019.0

Re : Calibre (vieille version)

Répondre #3
Hello ;)

C'est vrai que quand on est utilisateur régulier du soft ... ça peut sûrement faire effet de la machine à remonter dans le temps ;)
(... pas si cool alors ? ^^)
Du coup par curiosité as tu eu des soucis avec la version ancienne ou été pénalisé par des soucis, ou fonctionnalités manquantes ?


Re : Calibre (vieille version)

Répondre #4
Bonjour,
Non, pas de problème particulier mais entre la 3.48 et une 5.x (avec un x dans les 20, il me semble), il y a eu quelques évolutions sympa dans l'éditeur mais il y a aussi eu des corrections de sécurité dans le gestionnaire qui a accès à Internet (normalement à des sites sécurisés) mais c'est surtout l'obligation d'utiliser le vieux Python qui ne doit plus guère être maintenu.
Il est vrai le compteur de releases tourne bien vite  sur le site du développeur, quand j'utilisais CentOS (qui ne fournissait pas de rpm de ce logiciel) j'allais chercher les MàJ éventuelles tous les 2 mois... Solution que je vais remettre en place (en accès direct chez : https://calibre-ebook.com/download_linux ).

Je n'ai pas mémorisé tout ce qui a du être installé avec le package officiel de Calibre, il y a-t-il un moyen simple de virer ce qui sera en trop et qui satisfaisait les dépendances de Calibre-3.48 ?

Merci

Re : Calibre (vieille version)

Répondre #5
Bonjour,

My two cents...
Perso, j'ai installé la version de Calibre directement par le site du développeur :
https://calibre-ebook.com/fr/download_linux
et je vais mettre à jour à chaque fois que le programme me signale une nouvelle version... (c'est vrai que c'est fréquent)
J'utilise en console le lien à copier en 1ere page du site : sudo -v && wget -nv -O- https://download.calibre-ebook.com/linux-installer.sh | sudo sh /dev/stdin
Et du coup j'ai particulièrement pas de problèmes
Amicalement
Philippe

Re : Calibre (vieille version)

Répondre #6
Je n'ai pas mémorisé tout ce qui a du être installé avec le package officiel de Calibre, il y a-t-il un moyen simple de virer ce qui sera en trop et qui satisfaisait les dépendances de Calibre-3.48 ?
Bonjour,
je dirais que l'option clean-deps devrait convenir
sudo zypper remove --clean-deps nom-du-paquet-à-supprimer

Re : Calibre (vieille version)

Répondre #7
Bonsoir,
OK merci, je vais essayer

Re : Calibre (vieille version)

Répondre #8
Bonjour,
je dirais que l'option clean-deps devrait convenir
sudo zypper remove --clean-deps nom-du-paquet-à-supprimer

Bonsoir,

@chalu : désolé d'interférer mais cette commande équivaut-elle exactement au "Nettoyage lors de la suppression de paquets" dans Yast Software? Tiens... c'est à vérifier. Mais une commande à noter quelque part, c'est sûr. Merci.

Re : Calibre (vieille version)

Répondre #9
Oui il me semble que c’est comme lorsqu’on coche la case dans YaST.